package de.intevation.gnv.raster;

import java.util.ArrayList;
import java.util.List;

import de.intevation.gnv.raster.Vectorizer.RingsHandler;
import de.intevation.gnv.raster.Vectorizer.Edge;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DemuxRingsHandler
implements   RingsHandler
{
    protected ArrayList<RingsHandler> handlers;

    public DemuxRingsHandler() {
        handlers = new ArrayList<RingsHandler>();
    }

    public void addHandler(RingsHandler handler) {
        handlers.add(handler);
    }

    public void handleRings(
        List<Edge> rings,
        int        value,
        int        width,
        int        height
    ) {
        for (RingsHandler handler: handlers) {
            handler.handleRings(rings, value, width, height);
        }
    }

    public void clear() {
        handlers.clear();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
